body.dark {
  background: #211f20;
}

body.dark .app-header.navbar .nav-item .nav-link .title-container,
.app-header.navbar .nav-item .dropdown-toggle .title-container,
body.dark header.navbar .nav-item .dropdown-toggle .title-container,
body.dark .app-header .title-container {
  background: #211f20;
  background-color: #211f20;
}

body.dark .app-header.navbar .nav-item .nav-link .title-container,
body.dark .app-header.navbar .nav-item .dropdown-toggle .title-container,
body.dark .goto-page-form .title-container,
body.dark .pagination-bottom nav a .title-container {
  color: #9a9a9c !important;
}

body.dark .app-header.navbar .navbar-brand h4 {
  color: #fefefe;
}

body.dark .status-label,
body.dark .details-block label.data span,
body.dark .search-block__label body.dark .start-label {
  color: #9a9a9c;
}

body.dark h4.heading {
  color: #9a9a9c !important;
}

body.dark .app-header.navbar li a,
body.dark .app-header.navbar .dropdown-item i,
body.dark .app-header.navbar .dropdown-item a {
  color: #20a8d8;
}

body.dark .app-header.navbar {
  background: var(--theme-dark-high);
}

body.dark header.navbar .nav-item .dropdown-toggle,
body.dark header.navbar .nav-item .dropdown-toggle:active,
body.dark header.navbar .nav-item .dropdown-toggle:focus,
body.dark header.navbar .nav-item .dropdown-toggle:hover {
  background: transparent;
}

body.dark aside.aside-menu {
  border-left: 1px solid #333;
}

body.dark aside.aside-menu,
body.dark aside .tab-content {
  background: #211f20;
  color: #9a9a9c;
}

body.dark aside .tab-content {
  border-top: 1px solid #333;
}

body.dark .aside-menu ul li .nav-link {
  background: transparent;
}

body.dark .nav-tabs .nav-link:focus,
body.dark .nav-tabs .navbar .dropdown-toggle:focus,
body.dark .navbar .nav-tabs .dropdown-toggle:focus,
body.dark .nav-tabs .nav-link:hover,
body.dark .nav-tabs .navbar .dropdown-toggle:hover,
body.dark .navbar .nav-tabs .dropdown-toggle:hover,
body.dark .aside-menu .nav-tabs .nav-link.active,
body.dark .aside-menu .nav-tabs .navbar .active.dropdown-toggle,
body.dark .navbar .aside-menu .nav-tabs .active.dropdown-toggle {
  border-right: 1px solid #333;
  border-left: 0;
}

body.dark .aside-menu ul li .nav-link.active {
  background: #555;
}

body.dark .sidebar-button-container {
  background: var(--theme-dark-high);
  border: 1px solid var(--theme-border-dark);
}

body.dark hr {
  border-top: 1px solid var(--theme-border-dark);
}

body.dark .title-container {
  background: var(--theme-dark-high);
  color: var(--theme-paper-light);
}

body.dark .title-text {
  color: var(--theme-paper-light);
}

body.dark .subtitle-text {
  color: var(--theme-paper-light);
}

body.dark .form-group-title,
body.dark .component-list__header,
body.dark .component-input__instruction {
  color: var(--theme-paper-light);
}

body.dark .search-block :hover {
  background-color: #3d3d3d;
  border-radius: 10px;
  text-decoration: none;
}

body.dark .search-block a {
  color: var(--theme-paper-light);
}

body.dark .search-block a:hover {
  color: #31b0d5;
}

body.dark .start-label {
  color: var(--theme-paper-light);
}

body.dark .result-label,
body.dark .result {
  color: var(--theme-paper-light);
}

body.dark .result {
  background: var(--theme-dark-medium);
}

body.dark .toggle {
  color: #5faafa;
}

body.dark .highlight,
body.dark .input-field input,
body.dark .result,
body.dark .custom-input-class,
body.dark .custom-icon-class,
body.dark .component-list__links {
  background: var(--theme-dark-medium) !important;
  color: var(--theme-paper-light);
  border: 1px solid var(--theme-border-dark);
}

body.dark input.form-input-box:disabled {
  background-color: #404040;
  color: var(--theme-paper-light);
}

body.dark .convert-button,
body.dark .search-button {
  background-color: #104c7a;
  color: var(--theme-paper-light);
  border-color: #1e2d3b;
}

body.dark .convert-button:hover,
body.dark .search-button {
  background-color: #085fa0;
  border-color: #0f1a25;
  color: var(--theme-paper-light);
}

body.dark .value-code language-javascript {
  background-color: brown;
}
body.dark table#deploys-table,
body.dark table#instance-table,
body.dark #diff-container table {
  border: 1px solid var(--theme-border-dark);
}

body.dark table#deploys-table th,
body.dark table#instance-table th,
body.dark #diff-container table th {
  background-color: #2d2d2f;
  color: #9a9a9c;
  border-right: 1px solid var(--theme-border-dark);
  border-bottom: 1px solid var(--theme-border-dark);
}

body.dark table#deploys-table tbody tr,
body.dark table#instance-table tbody tr,
body.dark #diff-container table tbody tr {
  border-left: 1px solid var(--theme-border-dark);
  color: #9a9a9c;
}

body.dark table#deploys-table tbody tr:nth-child(odd),
body.dark table#instance-table tbody tr:nth-child(odd),
body.dark #diff-container table tbody tr:nth-child(odd) {
  background-color: #3d3d3f;
}

body.dark table#deploys-table tbody tr:nth-child(even),
body.dark table#instance-table tbody tr:nth-child(even),
body.dark #diff-container table tbody tr:nth-child(even) {
  background-color: #353536;
}

body.dark table#deploys-table tbody td,
body.dark table#instance-table tbody td,
body.dark #diff-container table tbody td {
  border-right: 1px solid var(--theme-border-dark);
}

body.dark #diff-container {
  border: none;
}

/* body.dark table#deploys-table,
body.dark table#instance-table {
  border: 1px solid var(--theme-border-dark);
}
body.dark table#deploys-table th,
body.dark table#instance-table th {
  background-color: #2d2d2f;
  color: #9a9a9c;
  border-right: 1px solid var(--theme-border-dark);
  border-bottom: 1px solid var(--theme-border-dark);
}
body.dark table#deploys-table tbody tr,
body.dark table#instance-table tbody tr {
  border-left: 1px solid var(--theme-border-dark);
  color: #9a9a9c;
}

body.dark table#deploys-table tbody tr:nth-child(odd),
body.dark table#instance-table tbody tr:nth-child(odd) {
  background-color: #3d3d3f;
}

body.dark table#deploys-table tbody tr:nth-child(even),
body.dark table#instance-table tbody tr:nth-child(even) {
  background-color: #353536;
}

body.dark table#deploys-table tbody td,
body.dark table#instance-table tbody td {
  border-right: 1px solid var(--theme-border-dark);
} */

body.dark table#deploys-table tbody td .duration-cell .recent-update,
body.dark table#instance-table tbody td .duration-cell .recent-update {
  color: #fefefe;
}

body.dark table#deploys-table tbody td .config-cell button i,
body.dark table#instance-table tbody td .config-cell button i {
  color: #9a9a9c;
}

body.dark .table-filter__button-container button {
  color: #9a9a9c !important;
}

body.dark .table-filter__button-container button.is-selected {
  opacity: 1;
  background-color: var(--theme-dark-high) !important;
  color: #9a9a9c !important;
}

body.dark .sidebar-links__link {
  background-color: var(--theme-dark-high);
  color: #9a9a9c !important;
}

body.dark .sidebar-links__link i {
  color: #9a9a9c !important;
}

body.dark .sidebar-links__link:hover,
body.dark .sidebar-links__link:hover i {
  background-color: var(--theme-primary);
  color: #fff !important;
}

body.dark .active .sidebar-links__text,
body.dark .active .sidebar-links__icon i {
  color: #fff !important;
}

body.dark .releases-input input {
  background: var(--theme-dark-medium) !important;
  color: var(--theme-paper-light);
  border: 1px solid var(--theme-border-dark);
}

body.dark .scroll-button {
  background-color: var(--theme-dark-medium);
  color: var(--theme-paper-light) !important;
  border: var(--theme-border-dark) !important;
}

body.dark .scroll-button.json-panel-button {
  background-color: var(--theme-dark-high) !important;
  border: var(--theme-border-dark) !important;
}

body.dark #log-list-with-filters .deploys-container {
  border: 1px solid var(--theme-border-dark);
  background-color: var(--theme-dark-medium);
}

body.dark #log-list-with-filters .deploys-container {
  color: #9a9a9c !important;
}

body.dark #log-list-with-filters .deploys-container.highlight-build {
  border: 1px solid #9a9a9c;
}

body.dark .build-list-item .build-info-container .build-number {
  font-weight: bold;
}

body.dark .build-ticket-button,
body.dark .build-filters-button {
  background-color: var(--theme-link);
  color: #e2e2e2;
  border: none;
}

body.dark .build-ticket-button:hover,
body.dark .build-filters-button:hover {
  opacity: 0.9;
}

body.dark .log-filter-control {
  border-bottom: 1px solid var(--theme-dark-high) !important;
}

body.dark .filter-input-container input[type="checkbox"] {
  accent-color: var(--theme-primary) !important;
}

body.dark .filter-input-container .vertical-divider {
  border-left: 1px solid var(--theme-dark-high) !important;
}

body.dark .build-list-item .build-info-container .build-user__text {
  background-color: transparent;
  color: #e2e2e2;
  border: 1px solid #444;
}

body.dark
  .build-list-item
  .build-info-container
  .build-note
  .releases-input
  input {
  background-color: var(--theme-dark-high) !important;

  border: 1px solid var(--theme-dark-high) !important;
}

body.dark
  .build-list-item
  .build-info-container
  .build-note
  .build-note__text-container.has-note {
  background-color: rgba(0, 255, 255, 0.5);
  box-shadow: 2px 2px 4px rgba(0, 0, 0, 0.2);
  color: var(--theme-paper);
}
body.dark .build-list-item .build-list-container {
  margin-top: 10px;
}
body.dark .build-list-item .build-list-container ul.build-summary-list {
  color: #9a9a9c !important;
}

body.dark .build-list-item .build-list-container ul.build-summary-list i {
  color: #9a9a9c;
}

body.dark .project-search__icon {
  color: var(--theme-paper-light);
}

body.dark
  .component-list
  .component-list__container
  .component-list__list-item
  .component-list__header {
  background-color: var(--theme-dark-medium);
}
body.dark
  .component-list
  .component-list__container
  .component-list__list-item
  .component-list__header
  span.component-list__header-text {
  font-weight: bold;
  font-size: 1.2em;
}
body.dark
  .component-list
  .component-list__container
  .component-list__list-item
  .component-list__links {
  background-color: #f8f8f9;
}

body.dark
  .component-list
  .component-list__container
  .component-list__list-item
  .component-list__links::-webkit-scrollbar-thumb {
  background-color: var(--theme-paper-light);
}

body.dark
  .component-list
  .component-list__container
  .component-list__list-item
  .component-list__links
  ul
  a {
  color: var(--theme-paper-light);
}

body.dark
  .component-list
  .component-list__container
  .component-list__list-item
  .component-list__links
  ul
  a:hover {
  color: var(--theme-paper-light);
  background-color: var(--theme-dark-high);
}

body.dark
  .component-list
  .component-input__container
  .releases-form
  .search-button {
  align-self: center;
  transition: opacity ease-in 0.5s;
  background-color: var(--theme-dark-medium);
  border: none;
}

body.dark
  .component-list
  .component-input__container
  .releases-form
  .search-button
  i {
  color: var(--theme-paper-light);
}
body.dark
  .component-list
  .component-input__container
  .releases-form
  .search-button.is-disabled {
  opacity: 0.6;
  pointer-events: none;
}

body.dark .component-list__tabs-container .tabs-block .tab-content {
  background-color: var(--theme-dark-medium);
  border: 1px solid var(--theme-border-dark);
}

body.dark
  .component-list__tabs-container
  .tabs-block
  .tab-content::-webkit-scrollbar-thumb {
  background-color: #b7b8b9;
}

body.dark
  .component-list__tabs-container
  .tabs-block
  .tab-content
  .component-list__list-item
  .component-list__links
  ul
  li
  a {
  background-color: transparent;
  color: var(--theme-paper-light);
}
body.dark
  .component-list__tabs-container
  .tabs-block
  .tab-content
  .component-list__list-item
  .component-list__links
  ul
  li:hover {
  background-color: var(--theme-dark-high);
  /* box-shadow: 2px 2px 9px rgba(0, 0, 0, 0.3); */
}
body.dark
  .component-list__tabs-container
  .tabs-block
  .tab-content
  .component-list__list-item
  .component-list__links
  ul
  li:hover
  a {
  color: var(--theme-paper);
}

body.dark
  .component-list__tabs-container
  .tabs-block
  .tabs-header-container
  .tab-header.is-inactive {
  border: 1px solid var(--theme-dark-medium);
  border-bottom: none;
  background-color: var(--theme-dark-high);
  color: var(--theme-paper-light);
}

body.dark
  .component-list__tabs-container
  .tabs-block
  .tabs-header-container
  .tab-header.is-inactive:hover {
  opacity: 1;
}
body.dark
  .component-list__tabs-container
  .tabs-block
  .tabs-header-container
  .tab-header.is-active,
body.dark #log-list-with-filters .c-1 ul.basic-view {
  border: 1px solid var(--theme-dark-medium);
  background-color: var(--theme-dark-medium);
  color: var(--theme-paper-light);
  border-bottom: none;
}

body.dark
  .component-list__tabs-container
  .tabs-block
  .tabs-header-container
  .tab-header.is-inactive:first-child {
  border: 1px solid var(--theme-border-dark);
  border-bottom: none;
}

body.dark .input-field .active {
  background-color: var(--theme-primary);
}

body.dark .svg-container {
  background-color: var(--theme-dark-medium) !important;
}

body.dark .filter-container label {
  color: var(--theme-paper-light);
}

body.dark #visualiser-container #graph-container {
  background-color: var(--theme-dark-medium);
}

body.dark .help-content-container {
  background-color: var(--theme-dark-high);
}

body.dark .help-content-container .help-content-title {
  background-color: var(--theme-dark-medium);
  color: var(--theme-paper-light);
}

body.dark .help-content-container ul li {
  color: var(--theme-paper-light);
}

body.dark .icon-tooltip-text li {
  color: var(--theme-paper-light);
}

body.dark .icon-tooltip-text.right::after {
  border: 5px solid transparent;
  border-right-color: var(--theme-dark-high) !important;
}

body.dark .icon-tooltip-text.below::after {
  border: 5px solid transparent;
  border-bottom-color: var(--theme-dark-high) !important;
}

body.dark #visualiser-container button {
  color: var(--theme-paper-light);
}

body.dark input:-webkit-autofill,
body.dark input:-webkit-autofill:hover,
body.dark input:-webkit-autofill:focus,
body.dark textarea:-webkit-autofill,
body.dark textarea:-webkit-autofill:hover,
body.dark textarea:-webkit-autofill:focus,
body.dark select:-webkit-autofill,
body.dark select:-webkit-autofill:hover,
body.dark select:-webkit-autofill:focus {
  border: 1px solid var(--theme-dark-high);
  -webkit-text-fill-color: var(--theme-paper-light);
  -webkit-box-shadow: 0 0 0px 1000px var(--theme-dark-medium) inset;
  transition: background-color 5000s ease-in-out 0s;
}

body.dark #found-build-id {
  color: var(--theme-paper-light);
}

body.dark li.build-list-item .hide-build-button i.fa-close-circle {
  color: #9a9a9c !important;
}

body.dark #hidden-jenkins-builds {
  color: var(--theme-dark-medium);
  background-color: var(--theme-dark-high) !important;
  padding: 10px;
  border-radius: 3px;
}

body.dark .hidden-jenkins-build {
  color: var(--theme-paper);
}

body.dark #slack-request-text {
  color: #9a9a9c !important;
}

body.dark .default-button.transparent {
  border: none;
}

body.dark .large-button-container:hover {
  background-color: var(--theme-dark-medium);
}

body.dark .config-cell {
  fill: #9a9a9c;
}

body.dark #mockbird-command,
body.dark #partial-history-warning,
body.dark #diff-error-display {
  background-color: var(--theme-dark-medium);
  border: var(--theme-dark-high);
}
